# japanese.perl, version 3.0 1999/9/15
# japanese.perl, for latex2html 2K.1beta + ja 1.0 2001/06/25
#
# japanese.perl by Kenshi Muto <kmuto@debian.org>
# modified by Shigeharu TAKENO <shige@iee.niit.ac.jp>
# 

package japanese;

print " [japanese]";

sub main'japanese_translation {
    @_[0];
}

package main;

sub japanese_titles {
    $toc_title = "ܼ";
    $lof_title = "ܼ";
    $lot_title = "ɽܼ";
    $idx_title = "";
    $bib_title = "ʸ";
    $abs_title = "";
    $fig_name  = "";
    $tab_name  = "ɽ";
    $info_title = "ʸˤĤ..."; 
    @Month = ('', '1', '2', '3', '4', '5',
              '6', '7', '8', '9', '10',
              '11', '12');
#    @Month = ('', 'ӷ', 'ǡ', '', '', '',
#              '̵', 'ʸ', 'շ', 'Ĺ', '̵',
#              '', '');
#    @Month = ('', 'ҽ', '', '', 'Ҳ', '',
#              '', 'ҽ', '罩', '', '',
#              '', '');
}

sub japanese_infopage {
    local($_) = @_;
    local($argv) = $argv;
    if (-f "../$argv") { $argv = &make_href ("../$argv", $argv, ); }
    $_ = (($INFO == 1)
      ? join('', "<STRONG>$t_title</STRONG><P>\nʸ"
        , "<A HREF=\"$TEX2HTMLADDRESS\"><STRONG>LaTeX</STRONG>2<tt>HTML</tt></A> ץ Version $TEX2HTMLVERSION\n"
        , "<P>Copyright &#169; 1993, 1994, 1995, 1996,\n"
        , "<A HREF=\"$AUTHORADDRESS\">Nikos Drakos</A>, \n"
        , "Computer Based Learning Unit, University of Leeds,\n"
        , "<BR>Copyright &#169; 1997, 1998, 1999,\n"
        , "<A HREF=\"$AUTHORADDRESS2\">Ross Moore</A>, \n"
        , "Mathematics Department, Macquarie University, Sydney.\n"
        , "<P><A HREF=\"$JTEX2HTMLADDRESS\">ܸ첽</A>(
$JTEX2HTMLVERSION )\n"
        , "<P>Copyright &#169; 1998, 1999,\n"
        , "<A HREF=\"$JAUTHORADDRESS\">Kenshi Muto</A>, \n"
        , "Debian Project.\n"
	, "<BR>Copyright &#169; 2001, 2002,\n"
	, "<A HREF=\"$JAUTHORADDRESS2\">Shige TAKENO</A>, \n"
	, "Niigata Inst.Tech.\n"
        , "<P>Ѥޤ\n"
        , "<P>ޥɹԤϰʲ̤Ǥ: <BR>\n "
        , "<STRONG>latex2html</STRONG> <tt>$argv</tt>.\n"
        , (($SHOW_INIT_FILE && ($INIT_FILE ne ''))?
	   "\n<P>ե: <TT>$INIT_FILE</TT>\n$init_file_mark\n" :'')
        , "<P> $address_data[0] ˤä $address_data[1] ˼¹Ԥޤ"
	, $open_all, $_)
   : join('', $close_all, $INFO,"\n", $open_all, $_));
   $_;
}

sub get_date {
        #ʿΤб
    local($format,$order) = @_;
    local(@lt) = localtime;
    local($d,$m,$y) = @lt[3,4,5];
        $y += 1900;
        $y -= 1988;
        if ($y == 1) {
                $y = "";
        } else {
                $y .= "";
        }
        sprintf("ʿ%sǯ%s%d", $y, @Month[$m+1], $d);
}

&japanese_titles;
$default_language = 'japanese';
$TITLES_LANGUAGE = 'japanese';
#$ISO_LANGUAGE = 'JA';
$japanese_encoding = 'iso-2022-jp';

#$charset = $CHARSET = 'Shift_JIS';
$charset = $CHARSET = 'EUC-JP';

if (defined &address_data) {
  @address_data = &address_data('ISO');
  $ADDRESS = "$address_data[0]\n$address_data[1]";
}

1;
